// LoopSamp.cpp : Defines the entry point for the application.
//

#include "stdafx.h"
#include "AIOUSB.h"

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
	const unsigned short Channels = 1;
	const unsigned short SamplesPerChannel = 300;
 	double ClockHz = 80000;
	unsigned short DACData[SamplesPerChannel * Channels];
	unsigned long SampleIndex = 0;

	for ( int Samp = 0; Samp < SamplesPerChannel; ++Samp )
	{
		for ( int Ch = 0; Ch < Channels; ++Ch )
		{
			if ( Samp * 2 < SamplesPerChannel ) //Simple triangle wave, one count per tick.
				DACData[SampleIndex] = Samp;
			else
				DACData[SampleIndex] = SamplesPerChannel - Samp
			;
			DACData[SampleIndex] *= 4000.0L / double(SamplesPerChannel);
			++SampleIndex;
		}
		DACData[SampleIndex - 1] |= 0x2000;
	}
	DACData[SampleIndex - 1] |= 0x1000;

	unsigned long Status = DACOutputProcess(diFirst, &ClockHz, SamplesPerChannel * Channels, DACData);

	return 0;
}



